# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewGroup

Function

Creates a new generic Group Object.

Syntax
`
#include <dx/dx.h>
`

Group DXNewGroup()

Functional Details

A generic Group consists of a number of members that may optionally be named. There is no restriction on the class of Objects in a generic Group and no requirement that the type of the members be the same. This is in contrast to the Composite Field, MultiGrid, and Series subgroups of the class Group, which generally contain members of class Field and are typed. Generic Groups may be explicitly typed using `DXSetGroupType` if all the members are of the same type.

Named members are added to a Group with `DXSetMember`. Unnamed members are added to a Group with `DXSetEnumeratedMember`.

The Group created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Group or returns `NULL` and sets an error code.

See Also

`DXNewCompositeField, DXNewMultiGrid, DXNewSeries, DXSetEnumeratedMember, DXSetGroupType, DXSetGroupTypeV, DXSetMember`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]